
const { sequence } = require('../../../../../lib/db');

module.exports = async function (req, res, next) {

	try {
		const feature = await sequence.point.get(req.params.project, req.params.sequence, req.params.point, req.query)

		if (feature) {
			res.status(200).send(feature);
		} else {
			res.status(404).send();
		}
		next();
	} catch (err) {
		next(err);
	}


};
